function [k, win] = getkeys (ke)
% @SPIX/PRIVATE/GETKEYS  build a @key object
%    if necessary, or just return the argument, making sure that the size
%    of the analysis windows is the same for all keys
%
% Last modified: 23 Apr 03

%  1 May 02: last unnoted changes
% 22 Dec 02: 'kid' replaces 'key' in the for loop
% 23 Apr 03: help text

switch class(ke)
case 'key'
   k = ke;
case 'char'
   k = key (ke);
otherwise
   error ('keys needed to construct object');
end

% check that all time windows in @key are of same length
win = k(1,1).fin - k(1,1).sta;
for kid = 1:k.len
   for subk = 1:k(kid).size
      if k(kid, subk).fin - k(kid, subk).sta ~= win
         error ('time window (finish-start) must be of same length for all keys');
      end
   end
end
