function p = trialttest (sp, s1, b1, s2, b2, varargin)

%SPIX/TRIALTTEST  paired ttests on @spix data, typically used to
%                 determine responsiveness to stimuli
%
%
%Last modified: 13 Aug 03

[yest, uni, grp] = trialset (sp, varargin{:});

win1 = [s1-sp.offset:s1+b1-sp.offset-1];
win2 = [s2-sp.offset:s2+b2-sp.offset-1];

fr1 = full(sum(sp.spix (:, win1), 2));
fr2 = full(sum(sp.spix (:, win2), 2));

uuni = unique(double(uni)); nuni = length(uuni);
ugrp = unique(double(grp)); ngrp = length(ugrp);

ws = warning ('query', 'MATLAB:divideByZero'); % remember current warning state
warning off MATLAB:divideByZero % turn off
for cc = 1:nuni
   for gr = 1:ngrp
      yt = yest ((uni==uuni(cc)) & (grp==ugrp(gr)));
      [h p(cc,gr)] = ttest (fr1(yt) - fr2(yt));
   end
   if sp.verbose
      disp (['paired ttest computed on unit #' num2str(uuni(cc)) '; ' num2str(nuni-cc) ' to go']);
   end
end
warning (ws); % restore previous warning state