function sp = verbose (sp, value)

%@SPIX/VERBOSE  turns on/off verbose mode
%
%   SP = VERBOSE(SP,STATE)  sets verbose mode to STATE, which can be a
%   either numeric or logical scalar or a string; examples of valid
%   STATEs are:  true,  1, 'true',  'on',  'yes'
%                false, 0, 'false', 'off', 'no'
%
%   SP = VERBOSE(SP)   toggles verbose mode
%
%Last modified: 17 Aug 03

if nargin==1
   sp.verbose = ~sp.verbose;
elseif nargin==2
   if isnumeric (value) | islogical (value)
      if length(value)>1, error ('invalid STATE'); end
      sp.verbose = logical (value);
   elseif ischar (value)
      switch lower(value)
         case {'true' 'on' 'yes' '1'}
            sp.verbose = true;
         case {'false' 'off' 'no' '0'}
            sp.verbose = false;
         otherwise
            error ('invalid STATE');
      end
   else
      error ('invlid STATE');
   end
else
   error ('wrong number of arguments')
end