function [xo,yo] = dothist (d, bins)
%DOTHIST   stacked-dots histogram
%
%  [X,Y] = DOTHIST(D,BINS) where D is a vector of observations, returns the
%  locations (X,Y) of points that when plotted [eg, plot (X,Y, 'ok')]
%  produce a histogram made of stacked markers instead of bars. BINS is the
%  same as in HISTC, which is internally called.
%
%Last modified: 3 May 04

xo = [];
yo = [];
nb = length(bins);
n = histc(d,bins);
for i=1:nb
   if n(i)
      xo=[xo, repmat(bins(i),1,n(i))];
      yo=[yo, 1:n(i)];
   end
end