function a = horzarray (a)
%HORZARRAY(A)  gives an error if A is not a 1-D numeric vector;
%   returns A itself, after making sure that the array is horizontal.
%   Useful in 'for I=A' loops because it avoids a common programming
%   bug, i.e. if A is vertical, I takes the whole of A on the first
%   iteration, and then the loop exits
%
%Last modified: 12 Feb 05

errifnotnumvector(a);
if size(a,1)>1, a=a'; end