function pt = pagetext (x, y, s)

%pagetext.m
%
% places a text string anywhere on the current figure
% 
% Syntax:  PT = PAGETEXT (X, Y, STRING)
%  Where:
%     PT: the text object's handle
%      X: the X position in normalized coordinates
%      Y: the Y position in normalized coordinates
% STRING: a char array
%
% Last modified: 29 Sep 00

a = get (gcf, 'children');
if isempty (a)
   error ('current figure should contain at least one axis')
end
p = get (a(1), 'position');

xt = x/p(3) - p(1)/p(3);
yt = y/p(4) - p(2)/p(4);

subplot (a(1));
pt = text (0, 0, s);
set (pt, 'units', 'normalized', 'position', [xt, yt]);
